[DATA]
#Valid L-colated IDs for runs over 40: train:1174867218-1814400, 1167536688-2253600 | test: 1176681618-604800, 1176681618-604800, 1176508818-259200, 1169787249-43200
# Set extract_test_data to True if you want to pull the test data out of the input data set.  Set it to False if you will separately pass test and training data sets
extract_test_data = False
pat_data_format = False
load_model=True
# If extract_test_data is set to True you must pass a .pat file path to input_data.  If extract_test_data is set to False, set input_data equal to None
input_data = /home/wayt1/making_data/chunk01/not_whitened_train_features_H1:ISI.npy
input_data_labels=/home/wayt1/making_data/chunk01/train_labels.npy
#smaller 5 feature dataset: L-colated-1176681218-604800.pat   
# If extract_test_data is set to False, you must pass different .pat files to data_train and data_test.  If extract_test_data is set to True, data_train and data_test should be left blank
data_train =  /home/kalista.wayt/subsystem_data/chunkall/train1/whitened_train_features_H1:PEM_balanced.npy
data_test = /home/kalista.wayt/subsystem_data/chunkall/test/whitened_train_features_H1:PEM.npy
data_train_labels=/home/kalista.wayt/subsystem_data/chunkall/train1/labels_80per_train_chunkall_balanced.npy
data_test_labels=/home/kalista.wayt/subsystem_data/chunkall/test/labels_20per_test_chunkall.npy
#Where model is stored
model_save_path=/home/kalista.wayt/public_html/hypertuned/ANN_PEM/chunkall_savemodel_balanced_1layer_20patience
# If randomize is set to True, the data sets will be shuffled
randomize = False
normalize_train= False
normalize_test= False
# If balance_train is set to True, the training data will be balanced
balance_train = False
# If balance_test is set to True, the test data will be balanced.  Note: This will be overriden by the num_clean_test and num_unclean_test options below if extract_test_data is True
balance_test = False
# If extract_test_data is set to True, specify the number of clean and unclean samples desired in the test data set
# FIXME:Increasing these seem to make the eff. at 10^-2 better--something to think about
num_unclean_test = 200
num_clean_test = 200
# list of features to send to the ANN. Possible choices: signif, dt, freq, dur, npts, rand.
features_to_keep =['signif', 'dt', 'freq', 'dur', 'npts', 'rand']
# boolean that indicates whether you want to separate by data taken at a certain sample rate
separate_by_sr = False
#File path (NOTE: Only on Arwen!) to file containing channel names sampled at a certain sample rate
sample_rate_files_path = /home/kalista.wayt/copied_files_for_phil/channel_names_4096.0.npy 
[OUTPUT] 
outpath = /home/kalista.wayt/public_html/hypertuned/ANN_PEM/chunkall_savemodel_balanced_1layer_test_predictions_20patience
run_name = run
model_filename =  model.h5
predictions_filename = predictions
labels_filename =  labels
log_filename =  logs
val_loss_filename = val_loss_plot
Acc = acc_plot
save_model=True
[HyperParameters]
# FIXME: Number of layers is given by length of Nodes and Activation arrays.  Value for each element in Nodes is the number of nodes for a given layer.  This should probably be separated out?  Quinn also suggests using Keras tuner to not have to specify these things.  
Layers = 1
Nodes = [32] 
Activation = ['elu']
Epochs = 6000
Batch_Size = 16
Output_Nodes = 1
Output_Activation = sigmoid

#Optimizer (don't use quotes on 'None' for epsilon or you will break the program)

#   Adam Defaults: "lr": 0.001, "beta_1": 0.9, "beta_2": 0.999, "epsilon": None, "decay": 0.0, "amsgrad": 'False'
#Opt = {"name": 'Adam',  "lr": 0.00001, "beta_1": 0.9, "beta_2": 0.999, "epsilon": 1e-07, "decay": 0.000001, "amsgrad": 'False'}
#   Adamax Defaults: "lr": 0.002, "beta_1": 0.9, "beta_2": 0.999, "epsilon": None, "decay": 0.0
#Opt = {"name": 'Adamax', "lr": 0.002, "beta_1": 0.9, "beta_2": 0.999, "epsilon": None, "decay": 0.0}
#Opt = {"name": 'Nadam', "lr": 0.002, "beta_1": 0.9, "beta_2": 0.999, "epsilon": None, schedule_decay: 0.004}
Opt = {"name": 'Nadam', "lr": 0.001}
#Opt = {"name": 'SGD', "lr": 0.01, "momentum": 0.0, "decay": 0.0, "nesterov": 'False'}
#Opt = {"name": 'SGD', "lr": 0.01}
#Opt = {"name": 'RMSprop', "lr": 0.001, "rho": 0.9, "epsilon": None, "decay" = 0.0}
#Opt = {"name": 'Adagrad', "lr": 0.01, "epsilon": None, "decay": 0.0}
#Opt = {"name": 'Adadelta', "lr"=1.0, "rho"= .95, "decay":0.0}

#Compiler
loss = binary_crossentropy
metrics_compiler = accuracy

#Callbacks 
log_dir = /home/wadem/public_html/ANN/phillip_ann_test
histogram_freq = 1
write_graph = False
write_images = False
embeddings_freq = 0      
embeddings_metadata = None
monitor = val_loss
min_delta = .0001
patience = 20
mode = auto
monitor_modelcheckpoint = val_accuracy
verbose = True
save_best_only = True
save_weights_only = True

#Regularizers
Dropout = [0.0,0.0,0.0] 
L1_weight = [0.0,0.0]
L2_weight = [0.0,0.0]

[ROC]
fap_filename =  fap
eff_filename =  eff
eff_err_filename =  eff_err
fap_err_filename = fap_err
thresholds_filename =  thresholds
roc_filename = roc
sigma = 3

